OneBasket

Get upgrade targets of the contact

Deprecated

GET
/subscriptions/subscriptions/upgrade

Returns the upgrade targets of one active subscription of the contact. When the contact has more than one active subscription, the API chooses one of them, and you cannot control which.

Use Get upgrade targets instead. It takes the id of the subscription.

Authorization

BearerAuth ApiKeyAuth
AuthorizationBearer <token>

In: header

x-api-key<token>

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/subscriptions/subscriptions/upgrade"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "upgradeTargets": [    {      "productId": "string",      "variantId": "string",      "subscriptionKey": "string"    }  ]}